## merkaartor 0.12

=== windows/Makefile ===
#ToWin = `cygpath --windows $1`
ToWin = $1
DOSWIXDIR := c:\\Program Files\\Windows Installer XML v3\\
LIGHT := "c:/Program Files/Windows Installer XML v3/bin/light.exe"
CANDLE := "c:/Program Files/Windows Installer XML v3/bin/candle.exe"
LRELEASE := "lrelease.exe"
VERSION=0.12
REVISION=


merkaartor-$(VERSION)$(REVISION).msi: merkaartor.wixobj Makefile banner.bmp dialog.bmp merkaartor.qm
	$(LIGHT) $(call ToWin,$<) \
		-dWixUILicenseRtf=..\\License.rtf \
		-dWixUIBannerBmp=banner.bmp \
		-dWixUIDialogBmp=dialog.bmp \
		-ext "$(DOSWIXDIR)\\bin\\WixUiExtension.dll" \
		-cultures:en-us \
		-out $(call ToWin,$@)


merkaartor.wixobj: merkaartor.wxs qt.wxi Makefile
	$(CANDLE) $(call ToWin,$<) \
		-dVERSION=$(VERSION) \
		-dREVISION=$(REVISION) \
		-out $(call ToWin,$@)

merkaartor.qm: 
	$(LRELEASE) ..\\merkaartor.pro

clean:
	rm -rf merkaartor.msi merkaartor.wixobj

## merkaartor 0.0.11~svn7913-1

=== debian/changelog ===
merkaartor (0.0.11~svn7913-1) unstable; urgency=low

  * New upstream snapshot (as native package, make dist is broken).
    + Fixes incompatibility with Qt4.3. (Closes: #478173)
  * Install and enable translations.
  * Use quilt.
  * Put parentheses around a cast to make it compile with gcc-4.3 on armel.

 -- Christoph Berg <myon@debian.org>  Sat, 24 May 2008 16:41:53 +0200

merkaartor (0.0.10-1) unstable; urgency=low

  * New upstream release
  * Add watch file.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Apr 2008 11:52:21 +0200

merkaartor (0.0.9-2) unstable; urgency=low

  * Initial Debian upload. (Closes: #452703)

 -- Christoph Berg <myon@debian.org>  Thu, 28 Feb 2008 21:43:40 +0100

merkaartor (0.0.9-1) gutsy; urgency=low

  * Upgrade to 0.0.9

 -- Bart Vanhauwaert <bvh-osm@irule.be>  Fri, 04 Jan 2008 16:00:38 +0100

merkaartor (0.0.8-1) gutsy; urgency=low

  * Upgrade to version 0.0.8. Works with OpenStreetMap API 0.5

 -- Bart Vanhauwaert <bvh-osm@irule.be>  Mon, 05 Nov 2007 22:38:06 +0100

merkaartor (0.0.7-1) feisty; urgency=low

  * Upgrade to version 0.0.7

 -- Bart Vanhauwaert <bvh-osm@irule.be>  Sat, 18 Aug 2007 18:04:49 +0200

merkaartor (0.0.6-1) unstable; urgency=low

  * Upgrade to version 0.0.6 

 -- Bart Vanhauwaert <bvh-osm@irule.be>  Wed,  6 Dec 2006 17:59:51 +0100

merkaartor (0.0.5-1) unstable; urgency=low

  * Upgrade to version 0.0.5

 -- Bart Vanhauwaert <bvh-osm@irule.be>  Thu, 16 Nov 2006 14:58:21 +0100

merkaartor (0.0.4-1) unstable; urgency=low

  * Initial release

 -- Bart Vanhauwaert <bvh-osm@irule.be>  Sat, 28 Oct 2006 12:59:04 +0200

=== debian/control ===
Source: merkaartor
Section: science
Priority: extra
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 5), libqt4-dev, quilt, zlib1g-dev
Standards-Version: 3.7.3
Vcs-Svn: svn+ssh://svn.debian.org/svn/collab-maint/deb-maint/merkaartor
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/merkaartor/

Package: merkaartor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: map editor for OpenStreetMap.org
 Merkaartor is a map editor for OpenStreetMap.org, the free editable map of the
 whole world.
 .
 Supported:
  * download from and upload to the OpenStreetMap server
  * open .osm and .gpx files
  * create and move trackpoints, ways, and areas
  * add tags, delete features
  * reverse, split and join ways
  * visualize some leisure/landuse areas and road types
 .
 Not yet supported:
  * no interfacing to GPS devices
  * does not save maps locally
Homepage: http://www.irule.be/bvh/c++/merkaartor/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	qmake Merkaartor.pro TRANSDIR_MERKAARTOR="/usr/share/qt4/translations/"
	touch configure-stamp

build-indep:

build build-arch: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	lrelease Merkaartor.pro
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean
	rm -f build-stamp configure-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	#install -D release/merkaartor $(CURDIR)/debian/merkaartor/usr/bin
	install -D binaries/debug/bin/merkaartor $(CURDIR)/debian/merkaartor/usr/bin
	install -d $(CURDIR)/debian/merkaartor/usr/share/qt4/translations
	install -D -m644 *.qm $(CURDIR)/debian/merkaartor/usr/share/qt4/translations

binary-indep:
binary binary-arch: install
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installexamples Data/*
	dh_installmenu
	dh_installman debian/merkaartor.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://www.irule.be/bvh/c++/merkaartor/versions/Merkaartor-(.*\.[^0].*).tgz

## merkaartor 0.13.2

=== windows/Makefile ===
--- 
+++ 
@@ -4,9 +4,14 @@
 LIGHT := "c:/Program Files/Windows Installer XML v3/bin/light.exe"
 CANDLE := "c:/Program Files/Windows Installer XML v3/bin/candle.exe"
 LRELEASE := "lrelease.exe"
-VERSION=0.12
-REVISION=
+VERSION=0.13
+REVISION=-rc4
 
+all: release debug 
+
+release: merkaartor-$(VERSION)$(REVISION).msi
+
+debug: merkaartor-$(VERSION)$(REVISION)-debug.msi  
 
 merkaartor-$(VERSION)$(REVISION).msi: merkaartor.wixobj Makefile banner.bmp dialog.bmp merkaartor.qm
 	$(LIGHT) $(call ToWin,$<) \
@@ -17,8 +22,23 @@
 		-cultures:en-us \
 		-out $(call ToWin,$@)
 
+merkaartor-$(VERSION)$(REVISION)-debug.msi: merkaartor_dbg.wixobj Makefile banner.bmp dialog.bmp merkaartor.qm
+	$(LIGHT) $(call ToWin,$<) \
+		-dWixUILicenseRtf=..\\License.rtf \
+		-dWixUIBannerBmp=banner.bmp \
+		-dWixUIDialogBmp=dialog.bmp \
+		-ext "$(DOSWIXDIR)\\bin\\WixUiExtension.dll" \
+		-cultures:en-us \
+		-out $(call ToWin,$@)
 
-merkaartor.wixobj: merkaartor.wxs qt.wxi Makefile
+
+merkaartor.wixobj: merkaartor.wxs defines.wxi qt.wxi qttrans.wxi Makefile
+	$(CANDLE) $(call ToWin,$<) \
+		-dVERSION=$(VERSION) \
+		-dREVISION=$(REVISION) \
+		-out $(call ToWin,$@)
+
+merkaartor_dbg.wixobj: merkaartor_dbg.wxs defines_dbg.wxi qt_dbg.wxi qttrans.wxi Makefile
 	$(CANDLE) $(call ToWin,$<) \
 		-dVERSION=$(VERSION) \
 		-dREVISION=$(REVISION) \
@@ -28,4 +48,4 @@
 	$(LRELEASE) ..\\merkaartor.pro
 
 clean:
-	rm -rf merkaartor.msi merkaartor.wixobj
+	rm -rf *.msi *.wixobj *.wixpdb

## merkaartor 0.14+svnfixes~20090912

=== windows/Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 DOSWIXDIR := c:\\Program Files\\Windows Installer XML v3\\
 LIGHT := "c:/Program Files/Windows Installer XML v3/bin/light.exe"
 CANDLE := "c:/Program Files/Windows Installer XML v3/bin/candle.exe"
-LRELEASE := "lrelease.exe"
-VERSION=0.13
-REVISION=-rc4
+LRELEASE := "c:/Qt/4.5.2/bin/lrelease.exe"
+VERSION=0.14
+REVISION=
 
 all: release debug 
 
@@ -45,7 +45,7 @@
 		-out $(call ToWin,$@)
 
 merkaartor.qm: 
-	$(LRELEASE) ..\\merkaartor.pro
+	$(LRELEASE) ../src/src.pro
 
 clean:
 	rm -rf *.msi *.wixobj *.wixpdb

## merkaartor 0.16.3

=== windows/Makefile ===
#ToWin = `cygpath --windows $1`
ToWin = $1
DOSWIXDIR := c:\\Program Files\\Windows Installer XML v3\\
LIGHT := "c:/Program Files/Windows Installer XML v3/bin/light.exe"
CANDLE := "c:/Program Files/Windows Installer XML v3/bin/candle.exe"
LRELEASE := "C:/Qt/4.6.2-win/bin/lrelease.exe"
#VERSION=0.16
#REVISION=-svn

all: release debug svn 

release: merkaartor-$(VERSION)$(REVISION).msi

svn: merkaartor-$(VERSION)-svn$(SVNREV).msi

debug: merkaartor-$(VERSION)-svn$(SVNREV)-debug.msi  
qt-debug: merkaartor-qt-debug-$(VERSION).msi  

merkaartor-$(VERSION)-svn$(SVNREV).msi: merkaartor_svn.wixobj Makefile banner.bmp dialog.bmp merkaartor.qm
	$(LIGHT) $(call ToWin,$<) \
		-dWixUILicenseRtf=..\\License.rtf \
		-dWixUIBannerBmp=banner.bmp \
		-dWixUIDialogBmp=dialog.bmp \
		-ext "$(DOSWIXDIR)\\bin\\WixUiExtension.dll" \
		-cultures:en-us \
		-out "$(call ToWin,$@)"

merkaartor-$(VERSION)$(REVISION).msi: merkaartor.wixobj Makefile banner.bmp dialog.bmp merkaartor.qm
	$(LIGHT) $(call ToWin,$<) \
		-dWixUILicenseRtf=..\\License.rtf \
		-dWixUIBannerBmp=banner.bmp \
		-dWixUIDialogBmp=dialog.bmp \
		-ext "$(DOSWIXDIR)\\bin\\WixUiExtension.dll" \
		-cultures:en-us \
		-out "$(call ToWin,$@)"

merkaartor-$(VERSION)-svn$(SVNREV)-debug.msi: merkaartor_dbg.wixobj Makefile banner.bmp dialog.bmp merkaartor.qm
	$(LIGHT) $(call ToWin,$<) \
		-dWixUILicenseRtf=..\\License.rtf \
		-dWixUIBannerBmp=banner.bmp \
		-dWixUIDialogBmp=dialog.bmp \
		-ext "$(DOSWIXDIR)\\bin\\WixUiExtension.dll" \
		-cultures:en-us \
		-out "$(call ToWin,$@)"

merkaartor-qt-debug-$(VERSION).msi: qt_dbg.wixobj Makefile banner.bmp dialog.bmp
	$(LIGHT) $(call ToWin,$<) \
		-dWixUILicenseRtf=..\\License.rtf \
		-dWixUIBannerBmp=banner.bmp \
		-dWixUIDialogBmp=dialog.bmp \
		-ext "$(DOSWIXDIR)\\bin\\WixUiExtension.dll" \
		-cultures:en-us \
		-out "$(call ToWin,$@)"


merkaartor.wixobj: merkaartor.wxs defines.wxi qt.wxi qttrans.wxi Makefile
	$(CANDLE) $(call ToWin,$<) \
		-dVERSION=$(VERSION) \
		-dREVISION=$(REVISION) \
		-out $(call ToWin,$@)

merkaartor_svn.wixobj: merkaartor_svn.wxs defines_svn.wxi qt.wxi qttrans.wxi Makefile
	$(CANDLE) $(call ToWin,$<) \
		-dVERSION=$(VERSION) \
		-dREVISION=$(REVISION) \
		-out $(call ToWin,$@)

merkaartor_dbg.wixobj: merkaartor_dbg.wxs defines_dbg.wxi qt_dbg.wxi qttrans.wxi Makefile
	$(CANDLE) $(call ToWin,$<) \
		-dVERSION=$(VERSION) \
		-dREVISION=$(REVISION) \
		-out $(call ToWin,$@)

qt_dbg.wixobj: qt_dbg.wxs defines_qt_dbg.wxi qt_dbg.wxi qttrans.wxi Makefile
	$(CANDLE) $(call ToWin,$<) \
		-dVERSION=$(VERSION) \
		-dREVISION=$(REVISION) \
		-out $(call ToWin,$@)

merkaartor.qm: 
	$(LRELEASE) ../src/src.pro

clean:
	rm -rf *.msi *.wixobj *.wixpdb

## merkaartor 0.17.2

=== windows/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DOSWIXDIR := c:\\Program Files\\Windows Installer XML v3\\
 LIGHT := "c:/Program Files/Windows Installer XML v3/bin/light.exe"
 CANDLE := "c:/Program Files/Windows Installer XML v3/bin/candle.exe"
-LRELEASE := "C:/Qt/4.6.2-win/bin/lrelease.exe"
+LRELEASE := "d:/Qt/4.6.3/bin/lrelease.exe"
 #VERSION=0.16
 #REVISION=-svn
 
@@ -71,7 +71,7 @@
 		-dREVISION=$(REVISION) \
 		-out $(call ToWin,$@)
 
-qt_dbg.wixobj: qt_dbg.wxs defines_qt_dbg.wxi qt_dbg.wxi qttrans.wxi Makefile
+qt_dbg.wixobj: qt_dbg.wxs defines-qt_dbg.wxi qt_dbg.wxi qttrans.wxi Makefile
 	$(CANDLE) $(call ToWin,$<) \
 		-dVERSION=$(VERSION) \
 		-dREVISION=$(REVISION) \

## merkaartor 0.18.1

=== windows/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #ToWin = `cygpath --windows $1`
 ToWin = $1
-DOSWIXDIR := c:\\Program Files\\Windows Installer XML v3\\
-LIGHT := "c:/Program Files/Windows Installer XML v3/bin/light.exe"
-CANDLE := "c:/Program Files/Windows Installer XML v3/bin/candle.exe"
-LRELEASE := "d:/Qt/4.6.3/bin/lrelease.exe"
-#VERSION=0.16
-#REVISION=-svn
+DOSWIXDIR := c:\\Program Files\\Windows Installer XML v3.6\\
+LIGHT := "c:/Program Files/Windows Installer XML v3.6/bin/light.exe"
+CANDLE := "c:/Program Files/Windows Installer XML v3.6/bin/candle.exe"
+LRELEASE := "/cygdrive/c/QtSDK/Desktop/Qt/4.7.4/mingw/bin/lrelease.exe"
+VERSION=0.18
+REVISION=.0
 
 all: release debug svn

## merkaartor 0.18.2

=== windows/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 CANDLE := "c:/Program Files/Windows Installer XML v3.6/bin/candle.exe"
 LRELEASE := "/cygdrive/c/QtSDK/Desktop/Qt/4.7.4/mingw/bin/lrelease.exe"
 VERSION=0.18
-REVISION=.0
+REVISION=.1
 
 all: release debug svn

=== debian/changelog ===
merkaartor (0.18.2-5) unstable; urgency=medium

  * Drop explicitly dependency on libqt5xcbqpa5, now provided by libqt5gui5.
    (closes: #812234)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Jan 2016 21:32:45 +0100

merkaartor (0.18.2-4) unstable; urgency=medium

  * Rebuild with libquazip (0.7.1-1).
    - Update build dependency from libquazip-qt5-dev to libquazip5-dev
    - Update SYSTEM_QUAZIP_LDFLAGS from -lquazip-qt5 to -lquazip5
  * Add patches for 'Unknown' & 'occurrence' typos.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Jan 2016 02:23:28 +0100

merkaartor (0.18.2-3) unstable; urgency=medium

  * Add upstream metadata.
  * Add patch to fix libgps22 compatibility.
  * Use upstream patch for quazip-qt5 linking.
  * Add patch to fix desktop Keywords syntax.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Nov 2015 16:55:41 +0100

merkaartor (0.18.2-2) unstable; urgency=medium

  * Add dependency on libqt5xcbqpa5.
    (closes: #802745)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Oct 2015 12:49:07 +0200

merkaartor (0.18.2-1) unstable; urgency=medium

  * Use desktop file in favor of menu file per CTTE #741573.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Oct 2015 13:21:33 +0200

merkaartor (0.18.2-1~exp2) experimental; urgency=medium

  * Add patches for improved GDAL 2.0 support, and debug build fix.
  * Add debug package for merkaartor.
    (closes: #692524)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Sep 2015 00:57:24 +0200

merkaartor (0.18.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Move package to Debian GIS team, changes:
    - Move Maintainer to Uploaders
    - Set Debian GIS Project as Maintainer
    - Update Vcs-* URLs for git repository on Alioth
    - Add myself to Uploaders
  * Bump debhelper compatibility to 9.
  * Updates for new upstream development by the OpenStreetMap community:
    - Update watch file for move to GitHub.
    - Update Homepage URL to www.merkaartor.be.
      (closes: #731118)
  * Switch to source format 3.0 (quilt).
  * Use minimal dh rules.
    - Enable parallel builds
      (closes: #759128)
  * Drop patches applied upstream.
  * Update copyright file using copyright-format 1.0.
  * Restructure control file with cme.
  * Update Vcs-Browser URL to use HTTPS.
  * Override dh_install to use --list-missing.
  * Rename old style config sections in gbp.conf.
  * Add patch to fix version detection for tarball releases.
  * Switch to Qt5.
    (closes: #784494)
  * Disable zbar, is Qt4-only.
  * Use dh_auto_* commands in overrides.
  * Disable SpatiaLite support, causes FTBFS.
  * Add patch to fix various typos.
  * Add patch to add hardening buildflags to qmake build.
  * Don't create empty usr/sbin directory.
  * Add patch to add Keywords to merkaartor.desktop.
  * Bump Standards-Version to 3.9.6, changes:
    - canonical Vcs-* URLs
    - copyright-format 1.0

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Sep 2015 20:25:30 +0200

merkaartor (0.18.1-3) unstable; urgency=low

  * [7a6844de] Yet another qreal/double conversion fix for arm.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 23 Jun 2012 00:40:16 +0200

merkaartor (0.18.1-2) unstable; urgency=low

  * [36283246] Fix FTBFS on arm*.
    qreal is float on arm, not double.
    Adding some casts should work around that.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 22 Jun 2012 17:30:43 +0200

merkaartor (0.18.1-1) unstable; urgency=low

  * [4bbcfdd9] Merge branch 'upstream' - 0.18.1
  * [00c34d93] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 21 Jun 2012 21:53:10 +0200

merkaartor (0.17.2-7) unstable; urgency=low

  * [7d02a1c5] Revert "Use g++-4.6 to work around the g++-4.7 fuckup."
    This reverts commit 887fc7cda2477d688d8e35b9d5bfe6d99ae9adeb.
  * [b2a27bf9] Updating debian/patches/gcc-4.7-ftbfs-fix.
    Thanks to Matthias Klose (Closes: #667275)
  * [86e9d24c] Updating git URLs.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 30 May 2012 10:39:12 +0200

merkaartor (0.17.2-6) unstable; urgency=low

  * [e6686007] Add patch to fix a FTBFS with gcc-4.7, part of a fix
    for #667275.
  * [ee1c4832] Build-depend against libgdal-dev instead of libgdal1-dev.
  * [887fc7cd] Use g++-4.6 to work around the g++-4.7 fuckup.
    Very ugly workaround for #672397.
    Shall be removed again as soon as the bug is fixed, but for now making
    some transitions work is more important.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 12 May 2012 21:21:24 +0200

merkaartor (0.17.2-5) unstable; urgency=low

  * [ccae59e4] Add patch to allow building against libgps20. (Closes: #648481)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 12 Nov 2011 21:55:34 +0100

merkaartor (0.17.2-4) unstable; urgency=low

  * [e594817c] Build with libproxy for automatic proxy configuration.
    Thanks to Jarl Friis
  * [e9a5e253] Pull latest 0.17-fixes branch into patches.
  * [2e5342d8] Build against libqtwebkit-dev.
  * [27542332] Add patch to fix building with libproxy.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 06 Jul 2011 22:22:10 +0200

merkaartor (0.17.2-3) unstable; urgency=low

  * [5fd3c0a8] Add a patch to fix linker issues.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 27 Feb 2011 18:32:07 +0100

merkaartor (0.17.2-2) unstable; urgency=low

  * [26c92163] Work around buildd insanities from the last century. (Closes: #613440)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 14 Feb 2011 23:57:09 +0100

merkaartor (0.17.2-1) unstable; urgency=low

  * New upstream release - 0.17.2
  * [b3dc89d4] Merge branch 'upstream'

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 11 Feb 2011 14:28:38 +0100

merkaartor (0.17.0-1) experimental; urgency=low

  * New upstream release - 0.17.0
  * [276b9b4c] Merge branch 'upstream'

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 26 Dec 2010 17:03:12 +0100

merkaartor (0.17~rc4-1) experimental; urgency=low

  * Git snapshot: 0.17-rc4
  * [2bb70fbf] Merge branch 'upstream'



=== debian/control ===
Source: merkaartor
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9),
               libboost-dev,
               libboost-math-dev,
               libboost-serialization-dev,
               libexiv2-dev,
               libgdal-dev,
               libgps-dev,
               libproj-dev,
               libproxy-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libquazip5-dev,
               libspatialite-dev,
               libxml2-dev,
               libxslt1-dev,
               qt5-qmake,
               qtbase5-dev,
               qttools5-dev-tools,
               sharutils,
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/merkaartor.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/merkaartor.git
Homepage: http://www.merkaartor.be/

Package: merkaartor
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: spatialite-bin
Description: map editor for OpenStreetMap.org
 Merkaartor is a map editor for OpenStreetMap.org, the free editable map of the
 whole world.
 .
 Features:
  * download from and upload to the OpenStreetMap server
  * open .osm and .gpx files
  * create and move trackpoints, ways, and areas
  * add tags, delete features
  * reverse, split and join ways
  * visualize some leisure/landuse areas and road types
  * displaying GPS information

Package: merkaartor-dbg
Architecture: any
Section: debug
Depends: merkaartor (= ${binary:Version}),
         ${misc:Depends}
Description: Debug symbols for merkaartor
 Merkaartor is a map editor for OpenStreetMap.org, the free editable map of the
 whole world.
 .
 This package contains debug symbols for merkaartor.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SVNREV = $(shell dpkg-parsechangelog | grep '^Version' | sed 's,Version:,Debian,')

# Use Qt5
export QT_SELECT=5

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_auto_clean
	cd translations && make clean

override_dh_clean:
	dh_clean src/revision.h
	rm -rf binaries

override_dh_auto_configure:
	echo '#define SVNREV $(SVNREV)' > src/revision.h
	cd translations && make release
	qmake Merkaartor.pro \
		TRANSDIR_SYSTEM="/usr/share/qt5/translations/" \
		PREFIX=/usr \
		GDAL=1 \
		GEOIMAGE=1 \
		GPSDLIB=1 \
		LIBPROXY=1 \
		NOWEBKIT=1 \
		PROJ=1 \
		SPATIALITE=0 \
		SYSTEM_QUAZIP=1 \
		SYSTEM_QUAZIP_LDFLAGS="-lquazip5" \
		ZBAR=0 \
		NODEBUG=1 \
		RELEASE=1

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_installman:
	dh_installman debian/merkaartor.1

override_dh_strip:
	dh_strip --dbg-package=merkaartor-dbg

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/-/./g,\
filenamemangle=s/(?:.*)?(?:rel|v|merkaartor)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/merkaartor-$1.$2/ \
https://github.com/openstreetmap/merkaartor/releases \
(?:.*/)?(?:rel|v|merkaartor)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## merkaartor 0.18.3+ds

=== debian/changelog ===
merkaartor (0.18.3+ds-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.3, changes: priority.
  * Strip trailing whitespace from changelog.
  * Update copyright-format URL to use HTTPS.
  * Drop obsolete dbg package.
  * Remove install file, only single binary package built now.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #889756)
    + Fix missing build dependency qt5-qmake:native for running lrelease.
    + Let dh_auto_configure pass the cross flags to qmake.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Feb 2018 21:27:16 +0100

merkaartor (0.18.3+ds-2) unstable; urgency=medium

  * Add patch to fix 'performance' typo.
  * Don't create revision.h, no longer used.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 15:16:52 +0200

merkaartor (0.18.3+ds-1) unstable; urgency=medium

  * New upstream release (from modified release tag).
  * Fix filenamemangle in watch file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Sep 2016 17:03:10 +0200

merkaartor (0.18.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream. Refresh remaining patch.
  * Add patch to extract version from CHANGELOG, not git.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Aug 2016 23:30:27 +0200

merkaartor (0.18.3~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop custom hicolor changes, included upstream.
  * Update copyright file, changes:
    - Update copyright years for Bart Vanhauwaert,
      Chris Browet & Ladislav Láska.
  * Drop patches applied upstream, refresh remaining patches.
  * Add patch to fix 'committed' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Jun 2016 22:33:14 +0200

merkaartor (0.18.2-7) unstable; urgency=medium

  * Enable all hardening buildflags.
  * Install additional icon sizes in hicolor theme.
  * Bump Standards-Version to 3.9.8, changes:
    additional icon sizes in hicolor theme.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Apr 2016 20:45:36 +0200

merkaartor (0.18.2-6) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Add patches for various typos.
  * Bump Standards-Version to 3.9.7, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Mar 2016 19:57:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Bernd Zeimetz <bzed@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
-Priority: extra
-Build-Depends: debhelper (>= 9),
+Priority: optional
+Build-Depends: debhelper (>= 9.20160114),
                libboost-dev,
                libboost-math-dev,
                libboost-serialization-dev,
@@ -20,13 +20,14 @@
                libxml2-dev,
                libxslt1-dev,
                qt5-qmake,
+               qt5-qmake:native,
                qtbase5-dev,
                qttools5-dev-tools,
                sharutils,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/merkaartor.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/merkaartor.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/merkaartor.git
 Homepage: http://www.merkaartor.be/
 
 Package: merkaartor
@@ -47,14 +48,3 @@
   * visualize some leisure/landuse areas and road types
   * displaying GPS information
 
-Package: merkaartor-dbg
-Architecture: any
-Section: debug
-Depends: merkaartor (= ${binary:Version}),
-         ${misc:Depends}
-Description: Debug symbols for merkaartor
- Merkaartor is a map editor for OpenStreetMap.org, the free editable map of the
- whole world.
- .
- This package contains debug symbols for merkaartor.
-

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-SVNREV = $(shell dpkg-parsechangelog | grep '^Version' | sed 's,Version:,Debian,')
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # Use Qt5
 export QT_SELECT=5
@@ -16,13 +17,12 @@
 	cd translations && make clean
 
 override_dh_clean:
-	dh_clean src/revision.h
+	dh_clean
 	rm -rf binaries
 
 override_dh_auto_configure:
-	echo '#define SVNREV $(SVNREV)' > src/revision.h
 	cd translations && make release
-	qmake Merkaartor.pro \
+	dh_auto_configure -- Merkaartor.pro \
 		TRANSDIR_SYSTEM="/usr/share/qt5/translations/" \
 		PREFIX=/usr \
 		GDAL=1 \
@@ -48,5 +48,5 @@
 	dh_installman debian/merkaartor.1
 
 override_dh_strip:
-	dh_strip --dbg-package=merkaartor-dbg
+	dh_strip --dbgsym-migration='merkaartor-dbg (<< 0.18.3+ds-3~)'

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/-/./g,\
filenamemangle=s/(?:.*\/)?(?:rel|v|merkaartor)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/merkaartor-$1.$2/ \
https://github.com/openstreetmap/merkaartor/releases \
(?:.*/)?(?:rel|v|merkaartor)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## merkaartor 0.18.3.1+rb2

=== debian/changelog ===
merkaartor (0.18.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>  Thu, 28 Jan 2021 15:03:35 +0800

merkaartor (0.18.3+ds-5) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * add include QPainterPath

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 23:55:34 +0200

merkaartor (0.18.3+ds-4) unstable; urgency=medium

  * Add patch to fix spelling errors.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from changelog, control & rules files.
  * Add override for missing-explanation-for-repacked-upstream-tarball.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jul 2018 20:19:49 +0200

=== debian/rules ===
--- 
+++ 
@@ -49,4 +49,3 @@
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='merkaartor-dbg (<< 0.18.3+ds-3~)'
-

## merkaartor 0.18.4%2Bds

=== debian/watch ===
version=4
opts=\
repack,compression=xz,repacksuffix=+ds,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/-/./g,\
filenamemangle=s/(?:.*\/)?(?:rel|v|merkaartor)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/merkaartor-$1.$2/ \
https://github.com/openstreetmap/merkaartor/releases \
(?:.*?/archive/)?(?:rel|v|merkaartor)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## merkaartor 0.18.4+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(merkaartor)

message(WARNING "

CMake build is experimental and missing quite a few features (no plugins, no version string, no configurable features, etc...). Please use qmake for production builds.

")

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Instruct CMake to run moc automatically when needed
set(CMAKE_AUTOMOC ON)

# Create code from a list of Qt designer ui files
set(CMAKE_AUTOUIC ON)

set(CMAKE_AUTORCC ON)

set(CMAKE_AUTOUIC_SEARCH_PATHS
${CMAKE_CURRENT_SOURCE_DIR}/src
${CMAKE_CURRENT_SOURCE_DIR}/src/GPS
${CMAKE_CURRENT_SOURCE_DIR}/src/Preferences
${CMAKE_CURRENT_SOURCE_DIR}/src/Render
${CMAKE_CURRENT_SOURCE_DIR}/src/PaintStyle
${CMAKE_CURRENT_SOURCE_DIR}/src/ImportExport
${CMAKE_CURRENT_SOURCE_DIR}/src/common
${CMAKE_CURRENT_SOURCE_DIR}/src/Layers
${CMAKE_CURRENT_SOURCE_DIR}/src/Utils
${CMAKE_CURRENT_SOURCE_DIR}/src/QToolBarDialog
${CMAKE_CURRENT_SOURCE_DIR}/src/NameFinder
${CMAKE_CURRENT_SOURCE_DIR}/src/Interactions
${CMAKE_CURRENT_SOURCE_DIR}/src/Sync
${CMAKE_CURRENT_SOURCE_DIR}/src/Docks
)


if (UNIX)
	set(merkaartor_SRCS_PLATFORM
		src/qextserialport/posix_qextserialport.cpp
		3rdparty/qtsingleapplication-2.6_1-opensource/src/qtlockedfile_unix.cpp
	)
elseif (WIN32)
	set(merkaartor_SRCS_PLATFORM
		src/qextserialport/win_qextserialport.cpp
		3rdparty/qtsingleapplication-2.6_1-opensource/src/qtlockedfile_win.cpp
	)
endif()


# Populate a CMake variable with the sources
set(merkaartor_SRCS
${merkaartor_SRCS_PLATFORM}
src/Backend/MemoryBackend.cpp
src/Backend/MemoryBackend.h
src/GPS/qgps.h
#src/GPS/GpsFix.cpp
src/GPS/qgpsdevice.cpp
src/GPS/qgpssatellitetracker.h
src/GPS/SatelliteStrengthView.cpp
src/GPS/qgpssatellitetracker.cpp
src/GPS/SatelliteStrengthView.h
#src/GPS/GpsFix.h
src/GPS/qgpsdevice.h
src/GPS/qgps.cpp
src/GPS/qgpsmainwindowui.ui
src/MainWindow.ui
src/Features/Way.h
src/Features/TrackSegment.cpp
src/Features/Node.cpp
src/Features/Feature.cpp
src/Features/Relation.h
src/Features/Way.cpp
src/Features/TrackSegment.h
src/Features/Features.h
src/Features/Node.h
src/Features/Feature.h
src/Features/Relation.cpp
src/Preferences/TMSPreferencesDialog.cpp
src/Preferences/WMSPreferencesDialog.h
src/Preferences/FilterList.cpp
src/Preferences/MerkaartorPreferences.cpp
src/Preferences/MerkaartorPreferences.h
src/Preferences/BookmarksList.h
src/Preferences/FilterPreferencesDialog.ui
src/Preferences/PreferencesDialog.h
src/Preferences/WmsServersList.cpp
src/Preferences/FilterList.h
src/Preferences/WMSPreferencesDialog.ui
src/Preferences/WMSPreferencesDialog.cpp
src/Preferences/FilterPreferencesDialog.cpp
src/Preferences/ProjPreferencesDialog.ui
src/Preferences/TmsServersList.h
src/Preferences/TmsServersList.cpp
src/Preferences/OsmServerWidget.ui
src/Preferences/TMSPreferencesDialog.h
src/Preferences/BookmarksList.cpp
src/Preferences/FilterPreferencesDialog.h
src/Preferences/TMSPreferencesDialog.ui
src/Preferences/ProjectionsList.cpp
src/Preferences/ProjPreferencesDialog.cpp
src/Preferences/PreferencesDialog.ui
src/Preferences/ProjPreferencesDialog.h
src/Preferences/WmsServersList.h
src/Preferences/ProjectionsList.h
src/Preferences/PreferencesDialog.cpp
src/Render/MapRenderer.h
src/Render/NativeRenderDialog.ui
src/Render/NativeRenderDialog.h
src/Render/NativeRenderDialog.cpp
src/Render/MapRenderer.cpp
src/PaintStyle/Painter.cpp
src/PaintStyle/MapCSSPaintstyle.cpp
src/PaintStyle/MasPaintStyle.h
src/PaintStyle/Painter.h
src/PaintStyle/MapCSSPaintstyle.h
src/PaintStyle/PaintStyleEditor.ui
src/PaintStyle/PrimitivePainter.cpp
src/PaintStyle/PrimitivePainter.h
src/PaintStyle/PaintStyleEditor.h
src/PaintStyle/MasPaintStyle.cpp
src/PaintStyle/FeaturePainter.cpp
src/PaintStyle/FeaturePainter.h
src/PaintStyle/PaintStyleEditor.cpp
src/PaintStyle/IPaintStyle.h
src/MainWindow.cpp
src/Commands/TrackSegmentCommands.cpp
src/Commands/WayCommands.cpp
src/Commands/NodeCommands.cpp
src/Commands/TrackSegmentCommands.h
src/Commands/NodeCommands.h
src/Commands/FeatureCommands.cpp
src/Commands/FeatureCommands.h
src/Commands/RelationCommands.cpp
src/Commands/DocumentCommands.cpp
src/Commands/DocumentCommands.h
src/Commands/WayCommands.h
src/Commands/Command.cpp
src/Commands/Command.h
src/Commands/RelationCommands.h
#src/Tools/QFatFs/QFatFs.h
#src/Tools/QFatFs/QFat.cpp
#src/Tools/QFatFs/QFatFile.cpp
#src/Tools/QFatFs/QFatFs.cpp
#src/Tools/QFatFs/QFat.h
#src/Tools/QFatFs/QFatFile.h
src/Tools/ActionsDialog.cpp
#src/Tools/RegionMapWidget.cpp
#src/Tools/RegionMapWidget.h
src/Tools/ActionsDialog.h
src/qextserialport/qextserialport.cpp
src/qextserialport/qextserialport.h
src/qextserialport/qextserialbase.cpp
src/qextserialport/qextserialbase.h
src/ImportExport/ImportNMEA.cpp
#src/ImportExport/ImportExportPBF.h
src/ImportExport/ImportNMEA.h
src/ImportExport/ImportExportGdal.h
src/ImportExport/IImportExport.cpp
src/ImportExport/ImportExportOSC.h
src/ImportExport/ImportOSM.h
src/ImportExport/ExportOSM.cpp
src/ImportExport/ExportDialog.ui
src/ImportExport/ImportNGT.cpp
src/ImportExport/ImportExportCSV.cpp
src/ImportExport/ImportGPX.h
src/ImportExport/ImportExportKML.h
src/ImportExport/ImportExportKML.cpp
src/ImportExport/ImportExportOSC.cpp
src/ImportExport/ExportGPX.h
src/ImportExport/ImportCSVDialog.cpp
src/ImportExport/ImportCSVDialog.ui
#src/ImportExport/fileformat.pb.h
#src/ImportExport/osmformat.pb.cc
#src/ImportExport/osmformat.pb.h
#src/ImportExport/fileformat.pb.cc
src/ImportExport/ImportNGT.h
src/ImportExport/ImportCSVDialog.h
src/ImportExport/ExportOSM.h
src/ImportExport/ImportOSM.cpp
src/ImportExport/ImportExportCSV.h
#src/ImportExport/ImportExportPBF.cpp
src/ImportExport/IImportExport.h
src/ImportExport/ExportGPX.cpp
src/ImportExport/ImportGPX.cpp
src/ImportExport/ImportExportGdal.cpp
src/MainWindow.h
src/Main.cpp
src/common/UploadMapDialog.ui
src/common/GotoDialog.ui
src/common/PropertiesDialog.ui
src/common/GotoDialog.h
src/common/MapTypedef.h
src/common/RelationProperties.ui
src/common/MapView.h
src/common/GotoDialog.cpp
src/common/TerraceDialog.h
src/common/TerraceDialog.cpp
src/common/TagModel.cpp
src/common/Document.h
src/common/Coord.h
src/common/Painting.h
src/common/FeatureManipulations.h
src/common/MultiProperties.ui
src/common/TerraceDialog.ui
src/common/Document.cpp
src/common/DownloadMapDialog.ui
src/common/FeatureManipulations.cpp
src/common/AboutDialog.ui
src/common/MapView.cpp
src/common/TagModel.h
src/common/Coord.cpp
src/common/Global.h
src/common/Global.cpp
src/common/Painting.cpp
src/common/Projection.h
src/common/Projection.cpp
src/Layers/OsmRenderLayer.cpp
src/Layers/LayerWidget.cpp
src/Layers/ImageMapLayer.h
src/Layers/OsmRenderLayer.h
src/Layers/Layer.cpp
src/Layers/LicenseDisplayDialog.ui
src/Layers/ImageMapLayer.cpp
src/Layers/LayerIterator.h
src/Layers/Layer.h
src/Layers/LayerWidget.h
src/Layers/LayerWidget.ui
src/Layers/FilterEditDialog.ui
src/Layers/LayerPrivate.h
src/Utils/ShortcutOverrideFilter.h
src/Utils/SelectionDialog.cpp
src/Utils/ProjectionChooser.h
src/Utils/TagSelectorWidget.ui
src/Utils/CheckBoxList.cpp
src/Utils/SlippyMapWidget.cpp
src/Utils/TagSelectorWidget.h
src/Utils/CheckBoxList.h
src/Utils/SlippyMapWidget.h
src/Utils/Utils.h
src/Utils/OsmLink.cpp
src/Utils/ShortcutOverrideFilter.cpp
src/Utils/TagSelectorWidget.cpp
src/Utils/LineF.h
src/Utils/SelectionDialog.ui
src/Utils/TagSelector.h
src/Utils/Utils.cpp
src/Utils/PictureViewerDialog.h
src/Utils/EditCompleterDelegate.cpp
src/Utils/ProjectionChooser.cpp
src/Utils/SvgCache.cpp
src/Utils/MDiscardableDialog.cpp
src/Utils/ProjectionChooser.ui
src/Utils/PictureViewerDialog.ui
src/Utils/PixmapWidget.h
src/Utils/OsmLink.h
src/Utils/EditCompleterDelegate.h
src/Utils/PictureViewerDialog.cpp
src/Utils/MDiscardableDialog.h
src/Utils/SelectionDialog.h
src/Utils/PixmapWidget.cpp
src/Utils/TagSelector.cpp
src/Utils/SvgCache.h
src/QToolBarDialog/qttoolbardialog.h
src/QToolBarDialog/qttoolbardialog.cpp
src/QToolBarDialog/qttoolbardialog.ui
src/NameFinder/namefinderwidget.ui
src/NameFinder/httpquery.h
src/NameFinder/namefindertablemodel.cpp
src/NameFinder/xmlstreamreader.cpp
src/NameFinder/NameFinderResult.h
src/NameFinder/namefindertablemodel.h
src/NameFinder/httpquery.cpp
src/NameFinder/namefinderwidget.h
src/NameFinder/xmlstreamreader.h
src/NameFinder/namefinderwidget.cpp
src/TagTemplate/TagTemplate.cpp
src/TagTemplate/TagTemplate.h
src/Interactions/ScaleInteraction.h
src/Interactions/CreateAreaInteraction.cpp
src/Interactions/Interaction.h
src/Interactions/CreateAreaInteraction.h
src/Interactions/EditInteraction.h
src/Interactions/ScaleInteraction.cpp
src/Interactions/CreateDoubleWayInteraction.cpp
src/Interactions/EditInteraction.cpp
src/Interactions/CreateDoubleWayInteraction.h
src/Interactions/RotateInteraction.h
src/Interactions/ZoomInteraction.h
src/Interactions/CreateSingleWayInteraction.cpp
src/Interactions/Interaction.cpp
src/Interactions/ExtrudeInteraction.cpp
src/Interactions/ZoomInteraction.cpp
src/Interactions/RotateInteraction.cpp
src/Interactions/CreateDoubleWayDock.ui
src/Interactions/CreatePolygonInteraction.cpp
src/Interactions/MoveNodeInteraction.h
src/Interactions/MoveNodeInteraction.cpp
src/Interactions/CreatePolygonInteraction.h
src/Interactions/CreateNodeInteraction.cpp
src/Interactions/CreateRoundaboutDock.ui
src/Interactions/CreateRoundaboutInteraction.h
src/Interactions/ExtrudeInteraction.h
src/Interactions/BuildBridgeInteraction.h
src/Interactions/CreateRoundaboutInteraction.cpp
src/Interactions/CreateNodeInteraction.h
src/Interactions/CreateSingleWayInteraction.h
src/Interactions/BuildBridgeInteraction.cpp
src/Sync/SyncListDialog.ui
src/Sync/DirtyList.cpp
src/Sync/DownloadOSM.h
src/Sync/DirtyListExecutorOSC.cpp
src/Sync/DirtyListExecutorOSC.h
src/Sync/DownloadOSM.cpp
src/Sync/DirtyList.h
#src/QMapControl/mapcontrol.cpp
src/QMapControl/WmscMapAdapter.cpp
src/QMapControl/mapnetwork.cpp
src/QMapControl/wmsmapadapter.h
src/QMapControl/tilemapadapter.cpp
src/QMapControl/wmsmapadapter.cpp
#src/QMapControl/imagepoint.h
src/QMapControl/imagemanager.cpp
src/QMapControl/WmscMapAdapter.h
src/QMapControl/tilemapadapter.h
src/QMapControl/imagemanager.h
#src/QMapControl/mapcontrol.h
src/QMapControl/mapadapter.h
src/QMapControl/mapadapter.cpp
#src/QMapControl/imagepoint.cpp
src/QMapControl/mapnetwork.h
src/Docks/PropertiesDock.cpp
src/Docks/FeaturesDock.h
src/Docks/StyleDock.ui
src/Docks/MinimumRoadProperties.ui
src/Docks/InfoDock.h
src/Docks/FeaturesDock.ui
src/Docks/MinimumRelationProperties.ui
src/Docks/PropertiesDock.h
src/Docks/DirtyDock.h
src/Docks/StyleDock.cpp
src/Docks/GeoImageDock.cpp
src/Docks/DirtyDock.ui
src/Docks/GeoImageDock.h
src/Docks/MDockAncestor.cpp
src/Docks/MinimumTrackPointProperties.ui
src/Docks/StyleDock.h
src/Docks/PhotoLoadErrorDialog.ui
src/Docks/DirtyDock.cpp
src/Docks/InfoDock.cpp
src/Docks/FeaturesDock.cpp
src/Docks/LayerDock.cpp
src/Docks/MDockAncestor.h
src/Docks/LayerDock.h
interfaces/IImageManager.cpp
interfaces/IImageManager.h
interfaces/IMerkMainWindow.h
interfaces/IProjection.h
interfaces/IProgressWindow.h
interfaces/ILayer.h
interfaces/IMapAdapterFactory.h
interfaces/IFeature.h
interfaces/IMapWatermark.h
interfaces/IImageManager.cpp
interfaces/IRenderer.h
interfaces/IDocument.h
interfaces/Interfaces.pri
interfaces/IBackend.h
interfaces/IMapAdapter.h
3rdparty/qtsingleapplication-2.6_1-opensource/src/qtlockedfile.cpp
3rdparty/qtsingleapplication-2.6_1-opensource/src/qtsingleapplication.cpp
3rdparty/qtsingleapplication-2.6_1-opensource/src/qtlocalpeer.cpp
3rdparty/qtsingleapplication-2.6_1-opensource/src/qtsinglecoreapplication.cpp
3rdparty/qtsingleapplication-2.6_1-opensource/src/qtlocalpeer.h
3rdparty/qtsingleapplication-2.6_1-opensource/src/qtsingleapplication.h
3rdparty/qtsingleapplication-2.6_1-opensource/src/qtlockedfile.h
3rdparty/qtsingleapplication-2.6_1-opensource/src/qtsinglecoreapplication.h
./src/Utils/Utils.qrc
./Icons/AllIcons.qrc
./Icons/QToolBarDialog/qttoolbardialog.qrc
./Templates/Templates.qrc
./share/share.qrc

=== debian/changelog ===
merkaartor (0.18.4+ds-5) unstable; urgency=medium

  * FTBFS fix version: apply upstream fix for building against
      recent version of Qt (Closes: #974104).
  * Debianization:
    - d/p/upstream-Qt5_15-fix.patch, introduce.
    - d/control:
      -  debhelper, bump to 13;
    - d/s/lintian-overrides:
      - testsuite-autopkgtest-missing tag, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 11 Nov 2020 20:53:53 +0000

merkaartor (0.18.4+ds-4) unstable; urgency=medium

  * Team upload.
  * Revert Maintainer email address change.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 May 2020 09:16:30 +0200

merkaartor (0.18.4+ds-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure use a cross qmake (closes: #959671).

  [ Jerome Benoit ]
  * Debianization:
    - debian/control:
      - Maintainer email address, update.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 05 May 2020 05:55:21 +0000

merkaartor (0.18.4+ds-2) unstable; urgency=medium

  * source-only upload.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 29 Apr 2020 19:49:20 +0000

merkaartor (0.18.4+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.
  * Restructure control file with cme.
  * Drop Name field from upstream metadata.

  [ Jerome Benoit ]
  * Reintroduction release (Closes: #949792), new package uploader.
  * New upstream release (Closes: #949183).
  * Debianization:
    - debian/control:
      - Uploaders, new uploader:
        - Jerome Benoit <calculus@rezozer.net> ;
      - Standards-Version, bump to 4.5.0 (no change);
      - debhelper, bump to version 12;
    - debian/copyright:
      - Files-Excluded field, introduce;
      - Files main paragraph, harden;
      - Files paragraphs, harden;
      - License paragraphs, cleanup;
    - debian/watch:
      - migration to version 4;
      - repack options, add;
    - debian/rules, update and cleanup;
    - debian/patches/*:
      - d/p/performance-typo.patch, integrated;
      - d/p/spelling-errors.patch, refresh;
      - d/p/upstream-gpsd-9+-fix_time.patch, introduce;
    - debian/source/lintian-overrides, refresh;
    - debian/docs, improve;
    - debian/{dirs,compat,README.source,gbp.conf}, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 16 Apr 2020 08:55:48 +0000

merkaartor (0.18.3+ds-6) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Update watch file to limit matches to archive path.
  * Define ACCEPT_USE_OF_DEPRECATED_PROJ_API_H for PROJ 6.0.0 compatibility.
  * Update spelling errors patch to fix additional issues.
  * Update gbp.conf to use --source-only-changes by default.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jul 2019 14:10:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: merkaartor
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Bernd Zeimetz <bzed@debian.org>,
-           Bas Couwenberg <sebastic@debian.org>
+Uploaders: Jerome Benoit <calculus@rezozer.net>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9.20160114),
+Build-Depends: debhelper-compat (= 13),
                libboost-dev,
                libboost-math-dev,
                libboost-serialization-dev,
@@ -25,10 +24,11 @@
                qttools5-dev-tools,
                sharutils,
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/merkaartor.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/merkaartor.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/merkaartor
+Vcs-Git: https://salsa.debian.org/debian-gis-team/merkaartor.git
 Homepage: http://www.merkaartor.be/
+Rules-Requires-Root: no
 
 Package: merkaartor
 Architecture: any
@@ -47,4 +47,3 @@
   * reverse, split and join ways
   * visualize some leisure/landuse areas and road types
   * displaying GPS information
-

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Workaround for proj_api.h deprecation in PROJ 6.0.0
export DEB_CFLAGS_MAINT_APPEND=-DACCEPT_USE_OF_DEPRECATED_PROJ_API_H
export DEB_CXXFLAGS_MAINT_APPEND=-DACCEPT_USE_OF_DEPRECATED_PROJ_API_H

# Use Qt5
export QT_SELECT=5

%:
	dh $@ --buildsystem=qmake

override_dh_auto_clean:
	dh_auto_clean
	cd translations && make clean

override_dh_clean:
	dh_clean
	rm -rf binaries

override_dh_auto_configure:
	cd translations && make release
	dh_auto_configure -- -recursive \
		Merkaartor.pro \
		TRANSDIR_SYSTEM="/usr/share/qt5/translations/" \
		GDAL=1 \
		GEOIMAGE=1 \
		GPSDLIB=1 \
		LIBPROXY=1 \
		NOWEBKIT=1 \
		PROJ=1 \
		SPATIALITE=0 \
		SYSTEM_QUAZIP=1 \
		SYSTEM_QUAZIP_LDFLAGS="-lquazip5" \
		ZBAR=0 \
		NODEBUG=1 \
		RELEASE=1

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_installman:
	dh_installman debian/merkaartor.1
